# Manel Moreno
**Date of birth:** 19/07/1999  
**Nationality:** Catalan  
**Address:** c/de Lleida num 13, 3-1 B, Badalona  
**Phone Number:** 655607105  
**E-mail Address:** manel.moreno12@gmail.com  
